pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: update devel/cppcheck with qt option

On Sat, Apr 23, 2011 at 08:43:29AM -0500, Jeremy C. Reed wrote:
> But now build depends on cmake.

Not a problem in my eyes, it's only a build time dependency. (Well, if
cmake builds fine, which it doesn't seem to do for you.)

> I had cmake build failures when I attempted to do the qt step. Problem 
> in cmake build not in cppcheck. This is unrelated to cppcheck, but here 
> was the beginning of the errors:
> /usr/pkgsrc/devel/cmake/work/.buildlink/include/ncurses.h:129: error: 
> conflicting types for 'chtype'
> /usr/include/curses.h:54: error: previous declaration of 'chtype' was 
> here

Conflict between ncurses and base system curses.
What OPSYS/platform?

Home | Main Index | Thread Index | Old Index